import { ICommonsAiModelTrainable, TCommonsAiCrossValidationK, TCommonsAiGenericTrainingData, TCommonsAiModelWithQuality, TCommonsAiTrainingStats } from 'tscommons-es-ai';
import { ICommonsAiEarlyStopping } from '../interfaces/icommons-ai-early-stopping';
import { ICommonsAiCrossTrainKable } from '../interfaces/icommons-ai-cross-train-kable';
export declare function commonsAiCrossValidationTrain<I, O, M extends ICommonsAiModelTrainable<I, O, S> & ICommonsAiCrossTrainKable, S extends TCommonsAiTrainingStats>(crossValidationKs: TCommonsAiCrossValidationK<TCommonsAiGenericTrainingData<I, O>>[], testingData: TCommonsAiGenericTrainingData<I, O>[], modelConstructorCallback: (training: TCommonsAiGenericTrainingData<I, O>[], epochs: number, validation: TCommonsAiGenericTrainingData<I, O>[] | undefined, earlyStopping: ICommonsAiEarlyStopping | undefined) => Promise<M>, epochs: number, earlyStopping?: ICommonsAiEarlyStopping, dumpAttemptQualitiesCallback?: (qualities: number[]) => void): Promise<TCommonsAiModelWithQuality<I, O, M>>;
